#

API Docs for: 1.6.0
Show: Inherited Protected Private Deprecated

# AbstractFilter Class

Defined in: `src/pixi/filters/AbstractFilter.js:5`
Module: PIXI

This is the base class for creating a pixi.js filter. Currently only webGL supports filters. If you want to make a custom filter this should be your base class.

## Constructor

### `AbstractFilter`

(

- `fragmentSrc`
- `uniforms`

)

Defined in `src/pixi/filters/AbstractFilter.js:5`

#### Parameters:

- `fragmentSrc` Object
- `uniforms` Object

- Index
- Properties

## Item Index

### Properties

- fragmentSrc
- passes
- shaders
- uniforms

## Properties

### `fragmentSrc`

Array private

Defined in `src/pixi/filters/AbstractFilter.js:40`

### `passes`

Array an array of filter objects private

Defined in `src/pixi/filters/AbstractFilter.js:15`

An array of passes - some filters contain a few steps this array simply stores the steps in a liniear fashion. For example the blur filter has two passes blurX and blurY.

### `shaders`

Array an array of shaders private

Defined in `src/pixi/filters/AbstractFilter.js:24`

### `uniforms`

Object private

Defined in `src/pixi/filters/AbstractFilter.js:34`